import os
import time
import cv2
import numpy as np
import tensorflow as tf

model_path = "mobilenet_v1_0.25_128_quant.tflite"
inter = tf.contrib.lite.Interpreter(model_path=model_path)
inter.allocate_tensors()
input_details = inter.get_input_details()
output_details = inter.get_output_details()

img = cv2.imread('test2.png')
img = cv2.resize(img, (128, 128))

img_exp = np.expand_dims(img, axis=0)
#img_exp = np.repeat(np.expand_dims(img, axis=0), 128, axis=0)
print(img_exp.shape)

inter.set_tensor(input_details[0]['index'], img_exp)

time_start =time.time()
for i in range(100):
    inter.invoke()
time_end = time.time()
print(time_end-time_start)

output_data = inter.get_tensor(output_details[0]['index'])
print(output_data.shape)
result = np.squeeze(output_data)
print('np.argmax(result):',np.argmax(result))


